Draft OCA

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft OCA and the translation is 6% complete.
Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎svenska • ‎čeština • ‎русский

Draft OCA

Menu location
-
Workbenches
Draft
Default shortcut
-
Introduced in version
-
See also
-


Description

Draft OCA is a software module used by the Std Open.svg Std Open, Std Import and Std Export commands to handle the OCA file format.

The OCA file format is community effort to create a free, simple and open CAD file format. OCA is largely based on the GCAD file format generated from gCAD3D. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.

Öppna

Denna funktion importerar OCA/GCAD filer. OCA filformat är ett gruppförsök att skapa ett fritt, enkelt och öppet CAD filformat. OCA är i stort sett baserat på GCAD fileformatet från gCAD3D. Båda formaten kan importeras i FreeCAD, och de OCA filer som exporteras av FreeCAD kan öppnas i gCAD3D.

Följande OCA objekt kan för tillfället importeras:

  • Linjer
  • Cirkelbågar och Cirklar
  • Slutna ormåden

Exporting

Objekt som för tillfället kan exporteras :

  • Linjer och trådar (polylines)
  • Cirkelbågar och Cirklar
  • Ytor

The following FreeCAD objects can be exported:

  • Lines and wires (polylines)
  • Arcs and circles
  • Faces

Alternativ

Följande parametrar kan specificeras i Draft alternativ tabben (menyn Redigera -> Alternativ -> Draft):

  • Importera stängda områden eller inte

For more information see: Import Export Preferences.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

You can export elements to OCA by using the following function:

importOCA.export(exportList, filename)

Example:

import FreeCAD, Draft, importOCA

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2200, 1500, 0)
p4 = FreeCAD.Vector(2500, -100, 0)

obj1 = Draft.makeWire([p1, p2, p3, p4])
obj2 = Draft.makeWire([p1, -2.3*p2, -0.8*p3, -1.8*p4])

objects = [obj1, obj2]

importOCA.export(objects, "/home/user/Pictures/myfile.oca")